
Foreman - Bug #12772

Web UI seems to make double calls to Foreman Passenger App in 1.10-rc3

12/10/2015 05:07 PM - Michael Eklund

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Web Interface   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.10.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I was trying to troubleshoot why parts of the web UI were extremely slow (specifically, editing a host, or location) and noticed I am

getting double calls in the logs, so 3s page loads, turn into 6, etc.  seems there is even some duplication in the puppet node calls.

2015-12-10T16:48:18 [app] [I] Started GET "/locations" for 10.1.3.126 at 2015-12-10 16:48:18 -0500

2015-12-10T16:48:18 [app] [I] Processing by LocationsController#index as HTML

2015-12-10T16:48:18 [app] [I]   Rendered taxonomies/index.html.erb within layouts/application (19.

5ms)

2015-12-10T16:48:18 [app] [I]   Rendered common/_searchbar.html.erb (5.3ms)

2015-12-10T16:48:18 [app] [I]   Rendered home/_user_dropdown.html.erb (2.1ms)

2015-12-10T16:48:18 [app] [I] Read fragment views/tabs_and_title_records-3 0.2ms

2015-12-10T16:48:18 [app] [I]   Rendered home/_topbar.html.erb (3.9ms)

2015-12-10T16:48:18 [app] [I]   Rendered layouts/base.html.erb (6.4ms)

2015-12-10T16:48:18 [app] [I] Completed 200 OK in 57.3ms (Views: 33.5ms | ActiveRecord: 4.1ms)

2015-12-10T16:48:18 [app] [I] Started GET "/locations" for 10.1.3.126 at 2015-12-10 16:48:18 -0500

2015-12-10T16:48:18 [app] [I] Processing by LocationsController#index as HTML

2015-12-10T16:48:18 [app] [I]   Rendered taxonomies/index.html.erb within layouts/application (180

.6ms)

2015-12-10T16:48:18 [app] [I]   Rendered common/_searchbar.html.erb (4.9ms)

2015-12-10T16:48:18 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)

2015-12-10T16:48:18 [app] [I] Read fragment views/tabs_and_title_records-3 0.2ms

2015-12-10T16:48:18 [app] [I]   Rendered home/_topbar.html.erb (3.4ms)

2015-12-10T16:48:18 [app] [I]   Rendered layouts/base.html.erb (5.6ms)

2015-12-10T16:48:18 [app] [I] Completed 200 OK in 211.1ms (Views: 192.3ms | ActiveRecord: 4.3ms)

 
015-12-10T16:49:26 [app] [I] Started GET "/locations/1-atl/edit" for 10.1.3.126 at 2015-12-10 16:4

9:26 -0500

2015-12-10T16:49:26 [app] [I] Processing by LocationsController#edit as HTML

2015-12-10T16:49:26 [app] [I]   Parameters: {"id"=>"1-atl"}

2015-12-10T16:49:29 [app] [I]   Rendered common_parameters/_parameter.html.erb (4.5ms)

2015-12-10T16:49:29 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.0ms)

2015-12-10T16:49:29 [app] [I]   Rendered common_parameters/_parameter.html.erb (137.6ms)

2015-12-10T16:49:29 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.1ms)

2015-12-10T16:49:29 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.0ms)

2015-12-10T16:49:29 [app] [I]   Rendered common_parameters/_parameters.html.erb (155.8ms)

2015-12-10T16:49:29 [app] [I]   Rendered taxonomies/_form.html.erb (2096.6ms)

2015-12-10T16:49:29 [app] [I]   Rendered taxonomies/edit.html.erb within layouts/application (3517

.6ms)

2015-12-10T16:49:29 [app] [I]   Rendered home/_user_dropdown.html.erb (1.8ms)

2015-12-10T16:49:29 [app] [I] Read fragment views/tabs_and_title_records-3 0.1ms

2015-12-10T16:49:29 [app] [I]   Rendered home/_topbar.html.erb (3.0ms)

2015-12-10T16:49:29 [app] [I]   Rendered layouts/base.html.erb (4.9ms)

2015-12-10T16:49:29 [app] [I] Completed 200 OK in 3543.8ms (Views: 3192.1ms | ActiveRecord: 336.3m

s)

2015-12-10T16:49:30 [app] [I] Started GET "/locations/1-atl/edit" for 10.1.3.126 at 2015-12-10 16:

49:30 -0500

2015-12-10T16:49:30 [app] [I] Processing by LocationsController#edit as HTML
2015-12-10T16:49:30 [app] [I]   Parameters: {"id"=>"1-atl"}

2015-12-10T16:49:32 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.6ms)

2015-12-10T16:49:32 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.1ms)

2015-12-10T16:49:32 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.1ms)

2015-12-10T16:49:32 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.2ms)

2015-12-10T16:49:32 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.2ms)

2015-12-10T16:49:32 [app] [I]   Rendered common_parameters/_parameters.html.erb (16.3ms)

2015-12-10T16:49:32 [app] [I]   Rendered taxonomies/_form.html.erb (1944.3ms)

2015-12-10T16:49:32 [app] [I]   Rendered taxonomies/edit.html.erb within layouts/application (2775

.5ms)

2015-12-10T16:49:32 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)

2015-12-10T16:49:32 [app] [I] Read fragment views/tabs_and_title_records-3 0.2ms

2015-12-10T16:49:32 [app] [I]   Rendered home/_topbar.html.erb (3.2ms)

2015-12-10T16:49:32 [app] [I]   Rendered layouts/base.html.erb (5.2ms)

2015-12-10T16:49:32 [app] [I] Completed 200 OK in 2795.2ms (Views: 2456.9ms | ActiveRecord: 328.8m

s)

 
2015-12-10T16:55:51 [app] [I] Started GET "/hosts" for 10.1.3.126 at 2015-12-10 16:55:51 -0500

2015-12-10T16:55:51 [app] [I] Processing by HostsController#index as HTML

2015-12-10T16:55:59 [app] [I]   Rendered hosts/_list.html.erb (6519.3ms)

2015-12-10T16:55:59 [app] [I]   Rendered hosts/index.html.erb within layouts/application (6529.3ms

)

2015-12-10T16:55:59 [app] [I]   Rendered common/_searchbar.html.erb (19.2ms)

2015-12-10T16:55:59 [app] [I]   Rendered home/_user_dropdown.html.erb (2.0ms)

2015-12-10T16:55:59 [app] [I] Read fragment views/tabs_and_title_records-3 0.1ms

2015-12-10T16:55:59 [app] [I]   Rendered home/_topbar.html.erb (4.0ms)

2015-12-10T16:55:59 [app] [I]   Rendered layouts/base.html.erb (6.5ms)

2015-12-10T16:55:59 [app] [I] Completed 200 OK in 7231.1ms (Views: 6562.9ms | ActiveRecord: 22.8ms

)

2015-12-10T16:55:59 [app] [I] Started GET "/hosts" for 10.1.3.126 at 2015-12-10 16:55:59 -0500

2015-12-10T16:55:59 [app] [I] Processing by HostsController#index as HTML

2015-12-10T16:55:59 [app] [I]   Rendered hosts/_list.html.erb (39.5ms)

2015-12-10T16:55:59 [app] [I]   Rendered hosts/index.html.erb within layouts/application (45.7ms)

2015-12-10T16:55:59 [app] [I]   Rendered common/_searchbar.html.erb (8.1ms)

2015-12-10T16:55:59 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)

2015-12-10T16:55:59 [app] [I] Read fragment views/tabs_and_title_records-3 0.2ms

2015-12-10T16:55:59 [app] [I]   Rendered home/_topbar.html.erb (3.5ms)

2015-12-10T16:55:59 [app] [I]   Rendered layouts/base.html.erb (5.4ms)

2015-12-10T16:55:59 [app] [I] Completed 200 OK in 86.3ms (Views: 60.1ms | ActiveRecord: 7.9ms)

 
015-12-10T16:57:18 [app] [I] Started GET "/hosts/cfg01" for 10.1.3.126 at 2015-12-10 16:57:18 -050

0

2015-12-10T16:57:18 [app] [I] Processing by HostsController#show as HTML

2015-12-10T16:57:18 [app] [I]   Parameters: {"id"=>"cfg01"}

2015-12-10T16:57:18 [app] [I]   Rendered hosts/_metrics.html.erb (0.5ms)

2015-12-10T16:57:18 [app] [I]   Rendered hosts/show.html.erb within layouts/application (37.6ms)

2015-12-10T16:57:18 [app] [I]   Rendered home/_user_dropdown.html.erb (1.9ms)

2015-12-10T16:57:18 [app] [I] Read fragment views/tabs_and_title_records-3 0.1ms

2015-12-10T16:57:18 [app] [I]   Rendered home/_topbar.html.erb (3.1ms)

2015-12-10T16:57:18 [app] [I]   Rendered layouts/base.html.erb (5.0ms)

2015-12-10T16:57:18 [app] [I] Completed 200 OK in 117.8ms (Views: 39.6ms | ActiveRecord: 8.9ms)

2015-12-10T16:57:18 [app] [I] Started GET "/hosts/cfg01/overview" for 10.1.3.126 at 2015-12-10 16:

57:18 -0500

2015-12-10T16:57:18 [app] [I] Started GET "/hosts/cfg01/templates" for 10.1.3.126 at 2015-12-10 16

:57:18 -0500

2015-12-10T16:57:18 [app] [I] Started GET "/hosts/cfg01/nics" for 10.1.3.126 at 2015-12-10 16:57:1

8 -0500

2015-12-10T16:57:18 [app] [I] Started GET "/hosts/cfg01/runtime?range=7" for 10.1.3.126 at 2015-12

-10 16:57:18 -0500

2015-12-10T16:57:18 [app] [I] Started GET "/hosts/cfg01/resources?range=7" for 10.1.3.126 at 2015-

12-10 16:57:18 -0500

2015-12-10T16:57:18 [app] [I] Processing by HostsController#overview as HTML

2015-12-10T16:57:18 [app] [I]   Parameters: {"id"=>"cfg01"}

2015-12-10T16:57:18 [app] [I] Processing by HostsController#nics as HTML

2015-12-10T16:57:18 [app] [I]   Parameters: {"id"=>"cfg01"}

2015-12-10T16:57:18 [app] [I] Processing by HostsController#runtime as HTML

2015-12-10T16:57:18 [app] [I]   Parameters: {"range"=>"7", "id"=>"cfg01"}

05/18/2024 2/5



2015-12-10T16:57:18 [app] [I] Processing by HostsController#templates as HTML

2015-12-10T16:57:18 [app] [I]   Parameters: {"id"=>"cfg01"}

2015-12-10T16:57:18 [app] [I] Processing by HostsController#resources as HTML

2015-12-10T16:57:18 [app] [I]   Parameters: {"range"=>"7", "id"=>"cfg01"}

2015-12-10T16:57:18 [app] [I]   Rendered hosts/_nics.html.erb (9.3ms)

2015-12-10T16:57:18 [app] [I] Completed 200 OK in 27.7ms (Views: 9.7ms | ActiveRecord: 4.0ms)

2015-12-10T16:57:18 [app] [I]   Rendered hosts/_overview.html.erb (28.5ms)

2015-12-10T16:57:18 [app] [I] Completed 200 OK in 43.5ms (Views: 24.2ms | ActiveRecord: 7.8ms)

2015-12-10T16:57:19 [app] [I]   Rendered hosts/_resources.html.erb (292.4ms)

2015-12-10T16:57:19 [app] [I] Completed 200 OK in 314.6ms (Views: 291.2ms | ActiveRecord: 7.6ms)

2015-12-10T16:57:19 [app] [I]   Rendered text template (0.0ms)

2015-12-10T16:57:19 [app] [I] Completed 200 OK in 359.6ms (Views: 0.9ms | ActiveRecord: 66.6ms)

2015-12-10T16:57:20 [app] [I]   Rendered hosts/_runtime.html.erb (1351.0ms)

2015-12-10T16:57:20 [app] [I] Completed 200 OK in 1376.4ms (Views: 1349.8ms | ActiveRecord: 7.8ms)

 
2015-12-10T17:00:29 [app] [I] Started GET "/hosts/cfg01/edit" for 10.1.3.126 at 2015-12-10 17:00:2

9 -0500

2015-12-10T17:00:29 [app] [I] Processing by HostsController#edit as HTML

2015-12-10T17:00:29 [app] [I]   Parameters: {"id"=>"cfg01"}

2015-12-10T17:00:29 [app] [I]   Rendered hosts/_progress.html.erb (1.1ms)

2015-12-10T17:00:30 [app] [I]   Rendered config_groups/_config_group.html.erb (215.8ms)

2015-12-10T17:00:30 [app] [I]   Rendered config_groups/_config_groups_selection.html.erb (480.9ms)

2015-12-10T17:00:30 [app] [I]   Rendered puppetclasses/_selectedClasses.html.erb (4.9ms)

2015-12-10T17:00:30 [app] [I]   Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)

2015-12-10T17:00:31 [app] [I]   Rendered puppetclasses/_classes.html.erb (1045.3ms)

2015-12-10T17:00:31 [app] [I]   Rendered puppetclasses/_class_selection.html.erb (1643.8ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_base_form.html.erb (53.9ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_provider_specific_form.html.erb (1.2ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/bonds/_bond.html.erb (60.9ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_base_form.html.erb (21.5ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_virtual_form.html.erb (2.0ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/manageds/_managed.html.erb (26.4ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_base_form.html.erb (19.8ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_virtual_form.html.erb (1.1ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/manageds/_managed.html.erb (22.6ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_base_form.html.erb (19.3ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/manageds/_managed.html.erb (22.1ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_base_form.html.erb (19.4ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/manageds/_managed.html.erb (22.2ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_base_form.html.erb (19.7ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:31 [app] [I]   Rendered nic/manageds/_managed.html.erb (23.7ms)

2015-12-10T17:00:31 [app] [I]   Rendered hosts/_interfaces.html.erb (185.9ms)

2015-12-10T17:00:32 [app] [I]   Rendered common/os_selection/_architecture.html.erb (129.7ms)

2015-12-10T17:00:32 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (42.4ms)

2015-12-10T17:00:32 [app] [I]   Rendered hosts/_operating_system.html.erb (180.3ms)

2015-12-10T17:00:32 [app] [I]   Rendered hosts/_unattended.html.erb (181.2ms)

2015-12-10T17:00:32 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (583.1ms)

2015-12-10T17:00:32 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (770.1ms)

2015-12-10T17:00:32 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (13.5ms

)

2015-12-10T17:00:32 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (8.3ms)

2015-12-10T17:00:32 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (8.0ms)

2015-12-10T17:00:32 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (3.3ms)

2015-12-10T17:00:32 [app] [I]   Rendered common_parameters/_puppetclasses_parameters.html.erb (38.

6ms)

2015-12-10T17:00:33 [app] [I]   Rendered common_parameters/_inherited_parameters.html.erb (30.9ms)

2015-12-10T17:00:33 [app] [I]   Rendered common_parameters/_parameter.html.erb (4.1ms)

2015-12-10T17:00:33 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.0ms)

2015-12-10T17:00:33 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.0ms)
2015-12-10T17:00:33 [app] [I]   Rendered common_parameters/_parameters.html.erb (13.5ms)

2015-12-10T17:00:33 [app] [I]   Rendered hosts/_form.html.erb (3434.7ms)

2015-12-10T17:00:33 [app] [I]   Rendered hosts/edit.html.erb within layouts/application (3441.4ms)

2015-12-10T17:00:33 [app] [I]   Rendered home/_user_dropdown.html.erb (5.0ms)

2015-12-10T17:00:33 [app] [I] Read fragment views/tabs_and_title_records-3 0.2ms

2015-12-10T17:00:33 [app] [I]   Rendered home/_topbar.html.erb (6.3ms)

2015-12-10T17:00:33 [app] [I]   Rendered layouts/base.html.erb (8.6ms)

2015-12-10T17:00:33 [app] [I] Completed 200 OK in 3524.1ms (Views: 3294.0ms | ActiveRecord: 171.8m

s)

2015-12-10T17:00:33 [app] [I] Started GET "/hosts/cfg01/edit" for 10.1.3.126 at 2015-12-10 17:00:3

3 -0500

2015-12-10T17:00:33 [app] [I] Processing by HostsController#edit as HTML

2015-12-10T17:00:33 [app] [I]   Parameters: {"id"=>"cfg01"}

2015-12-10T17:00:33 [app] [I]   Rendered hosts/_progress.html.erb (0.3ms)

2015-12-10T17:00:34 [app] [I]   Rendered config_groups/_config_group.html.erb (59.9ms)

2015-12-10T17:00:34 [app] [I]   Rendered config_groups/_config_groups_selection.html.erb (69.5ms)

2015-12-10T17:00:34 [app] [I]   Rendered puppetclasses/_selectedClasses.html.erb (3.0ms)

2015-12-10T17:00:34 [app] [I]   Rendered puppetclasses/_classes_in_groups.html.erb (0.0ms)

2015-12-10T17:00:35 [app] [I]   Rendered puppetclasses/_classes.html.erb (1012.0ms)

2015-12-10T17:00:35 [app] [I]   Rendered puppetclasses/_class_selection.html.erb (1163.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_base_form.html.erb (22.3ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/bonds/_bond.html.erb (25.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_base_form.html.erb (19.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/manageds/_managed.html.erb (21.9ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_base_form.html.erb (18.8ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/manageds/_managed.html.erb (21.5ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_base_form.html.erb (18.6ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_virtual_form.html.erb (1.0ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/manageds/_managed.html.erb (21.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_base_form.html.erb (27.8ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_virtual_form.html.erb (1.6ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/manageds/_managed.html.erb (32.0ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_base_form.html.erb (27.9ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_virtual_form.html.erb (1.6ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/_provider_specific_form.html.erb (0.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered nic/manageds/_managed.html.erb (32.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered hosts/_interfaces.html.erb (159.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered common/os_selection/_architecture.html.erb (5.2ms)

2015-12-10T17:00:35 [app] [I]   Rendered common/os_selection/_operatingsystem.html.erb (32.1ms)

2015-12-10T17:00:35 [app] [I]   Rendered hosts/_operating_system.html.erb (44.8ms)

2015-12-10T17:00:35 [app] [I]   Rendered hosts/_unattended.html.erb (45.2ms)

2015-12-10T17:00:36 [app] [I]   Rendered puppetclasses/_class_parameters.html.erb (564.8ms)

2015-12-10T17:00:36 [app] [I]   Rendered puppetclasses/_classes_parameters.html.erb (582.2ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (9.6ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (8.1ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (8.0ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_puppetclass_parameter.html.erb (3.0ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_puppetclasses_parameters.html.erb (32.

2ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_inherited_parameters.html.erb (8.2ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_parameter.html.erb (2.1ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.8ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_parameter.html.erb (1.8ms)

2015-12-10T17:00:36 [app] [I]   Rendered common_parameters/_parameters.html.erb (8.8ms)

2015-12-10T17:00:36 [app] [I]   Rendered hosts/_form.html.erb (2215.2ms)

2015-12-10T17:00:36 [app] [I]   Rendered hosts/edit.html.erb within layouts/application (2219.5ms)

2015-12-10T17:00:36 [app] [I]   Rendered home/_user_dropdown.html.erb (1.8ms)

2015-12-10T17:00:36 [app] [I] Read fragment views/tabs_and_title_records-3 0.1ms

2015-12-10T17:00:36 [app] [I]   Rendered home/_topbar.html.erb (3.2ms)

2015-12-10T17:00:36 [app] [I]   Rendered layouts/base.html.erb (6.4ms)
2015-12-10T16:50:09 [app] [I] Started GET "/node/cfg01?format=yml" for 10.10.50.170 at 2015-12-10 

16:50:09 -0500

2015-12-10T16:50:09 [app] [I] Processing by HostsController#externalNodes as YML

2015-12-10T16:50:09 [app] [I]   Parameters: {"name"=>"cfg01"}

2015-12-10T16:50:10 [app] [I]   Rendered text template (0.0ms)

2015-12-10T16:50:10 [app] [I] Completed 200 OK in 1147.7ms (Views: 135.6ms | ActiveRecord: 44.3ms)

2015-12-10T16:50:14 [app] [I] Started POST "/api/hosts/facts" for 10.10.50.170 at 2015-12-10 16:50

:14 -0500

2015-12-10T16:50:14 [app] [I] Processing by Api::V2::HostsController#facts as JSON

2015-12-10T16:50:14 [app] [I]   Parameters: {"facts"=>"[FILTERED]", "name"=>"cfg01", "certname"=>"

cfg01", "apiv"=>"v2", :host=>{"name"=>"cfg01", "certname"=>"cfg01"}}

2015-12-10T16:50:14 [app] [I] Import facts for 'cfg01' completed. Added: 0, Updated: 6, Deleted 0 

facts

2015-12-10T16:50:14 [app] [I] Completed 201 Created in 665.3ms (Views: 5.2ms | ActiveRecord: 0.5ms

)

2015-12-10T16:50:17 [app] [I] Started GET "/node/cfg01?format=yml" for 10.10.50.170 at 2015-12-10 

16:50:17 -0500

2015-12-10T16:50:17 [app] [I] Processing by HostsController#externalNodes as YML

2015-12-10T16:50:17 [app] [I]   Parameters: {"name"=>"cfg01"}

2015-12-10T16:50:18 [app] [I]   Rendered text template (0.0ms)

2015-12-10T16:50:18 [app] [I] Completed 200 OK in 916.2ms (Views: 0.9ms | ActiveRecord: 27.6ms)

2015-12-10T16:50:44 [app] [I] Started POST "/api/reports" for 10.10.50.170 at 2015-12-10 16:50:44 

-0500

2015-12-10T16:50:44 [app] [I] Processing by Api::V2::ReportsController#create as JSON

2015-12-10T16:50:44 [app] [I]   Parameters: {"report"=>"[FILTERED]", "apiv"=>"v2"}

2015-12-10T16:50:44 [app] [I] processing report for cfg01

2015-12-10T16:50:44 [app] [I] Imported report for cfg01in 0.09 seconds

2015-12-10T16:50:44 [app] [I]   Rendered api/v2/reports/create.json.rabl (33.9ms)

2015-12-10T16:50:44 [app] [I] Completed 201 Created in 368.7ms (Views: 38.2ms | ActiveRecord: 32.7

ms)

Related issues:

Related to Foreman - Feature #8802: Add Turbo links support Closed 12/28/2014

Has duplicate Foreman - Bug #11884: Turbolinks load some pages twice Duplicate

History

#1 - 12/11/2015 03:13 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release deleted (63)

This is due to Turbolinks (#8802) I believe, since all of those page changes would result in JS being added or removed from the page - it loads the

page initially, then reloads it when it realises it's different.  This could be reduced by combining our JS files for frequently used pages.

The calls in the Puppet run are normal.  Puppet 3 introduced a second /node/ call before uploading facts, as it calls the ENC earlier to determine

which environment the host should be in, then it calls the ENC in the usual manner (which uploads facts).

#2 - 12/11/2015 03:14 AM - Dominic Cleal

- Related to Feature #8802: Add Turbo links support added

#3 - 12/11/2015 10:18 AM - Michael Eklund

For what it is worth, the page does not load until after the 2nd call.  So pages that can take 3-4s to load are taking 6-8s.

#4 - 04/30/2018 07:25 AM - Ohad Levy

- Has duplicate Bug #11884: Turbolinks load some pages twice added

#5 - 04/30/2018 07:26 AM - Ohad Levy

- Status changed from New to Duplicate
